License doesn't work with Elasticsearch (Kibana) v5


(J16r) #1

I'm unable to log into my Kibana dashboard right now because the license has expired, when I try to set my license however I get the error:

{"error":{"root_cause":[{"type":"illegal_argument_exception","reason":"unknown setting [index.license.expiry_date_in_millis] please check that any required plugins are installed, or check the breaking changes documentation for removed settings"}],"type":"illegal_argument_exception","reason":"unknown setting [index.license.expiry_date_in_millis] please check that any required plugins are installed, or check the breaking changes documentation for removed settings"},"status":400}

unknown setting [index.license.expiry_date_in_millis]

Is there a way to get newer licenses for v5?


(Thomas Neirynck) #2

Hi j16r,

Kibana just tries to validate the license, which is why the login panel is disabled.

I would take that question to the x-pack forum (https://discuss.elastic.co/c/x-pack) and post that error message there. This is likely due to a version mismatch like you suggest. FWIW, I think that setting was introduced in v5.


(system) #3